<?php
/*
* WPGear. Page and Post Description PRO
* functions.php
*/
	/* Check Post-List
	---*PRO-------------------------------------------------------------- */	
	function PageAndPostDescription_PRO_is_PostType_Enable ($screen_base) {
		$Result = false;

		global $PageAndPostDescription_PRO_Post_Type;
		
		$PostType = isset($_REQUEST['post_type']) ? sanitize_text_field ($_REQUEST['post_type']) : 'post'; 
		
		$PostType_Enable = isset($PageAndPostDescription_PRO_Post_Type[$PostType]) ? $PageAndPostDescription_PRO_Post_Type[$PostType] : true;

		if ($PostType_Enable) {
			if ($screen_base == 'edit') {
				$Result = true;
			}	
		}
		
		return $Result;
	}	
	
	/* Check Plugin Installed
	---*PRO-------------------------------------------------------------- */		
	function PageAndPostDescription_PRO_Check_Plugin_Installed($Plugin_Slug = null) {
		$Result = false;
		
		if ($Plugin_Slug) {
			if (! function_exists ('get_plugins')) {
				require_once ABSPATH . 'wp-admin/includes/plugin.php';
			}
			
			$Plugins = get_plugins();
			
			foreach ($Plugins as $Plugin) {
				$Plugin_TextDomain = $Plugin['TextDomain'];
				if ($Plugin_TextDomain == $Plugin_Slug) {
					$Result = true;
				}
			}			
		}	
		
		return $Result;
	}

	/* Get Exclude Post-Types
	---*PRO-------------------------------------------------------------- */
    function PageAndPostDescription_PRO_Get_Exclude_PostTypes () {
        $Exclude_PostTypes = array();
       
        global $PageAndPostDescription_PRO_plugin_dir;

        if ($PageAndPostDescription_PRO_plugin_dir) {	
            $Exclude_PostTypes = file_get_contents($PageAndPostDescription_PRO_plugin_dir .'includes/exclude.txt');
            $Exclude_PostTypes = explode (PHP_EOL, $Exclude_PostTypes);			   
	   
            foreach ($Exclude_PostTypes as $key => $value)	{
                $value = sanitize_text_field ($value);

                if ($value == '') {
                    unset($Exclude_PostTypes[$key]);
                } else {
                    $Exclude_PostTypes[$key] = $value;
                }
            } 
        } 			
		
        return $Exclude_PostTypes;
    }
	
	/* Get All Post-Type List
	---*PRO-------------------------------------------------------------- */
	function PageAndPostDescription_PRO_Get_All_PostType_List () {			
        $Results = array();
		
		global $PageAndPostDescription_PRO_Exclude_PostType;

        global $wpdb;
        
        $PageAndPostDescription_Posts_table = $wpdb->prefix .'posts';		
    
        $Query = "SELECT post_type FROM $PageAndPostDescription_Posts_table GROUP BY post_type";		

        $Records = $wpdb->get_results ($Query);	

        if ($Records) {
            foreach ($Records as $Item) {
                $Post_Type = $Item -> post_type;	

                if ($PageAndPostDescription_PRO_Exclude_PostType) {
                    if (! in_array($Post_Type, $PageAndPostDescription_PRO_Exclude_PostType)) {
                        $Results[] = $Post_Type;
                    } 
                } else {
                    $Results[] = $Post_Type; 
                }        
            }
        }		
        		
		return $Results;
	}
	
	/* Get Post-Type Options
	---*PRO-------------------------------------------------------------- */
	function PageAndPostDescription_PRO_Get_PostTypes () {
		global $PageAndPostDescription_PRO_Exclude_PostType;
		
		$PageAndPostDescription_PRO_Post_Type = get_option ( "page-and-post-description_option_post-type", array() );

        if ($PageAndPostDescription_PRO_Exclude_PostType) {
            $Post_Types = PageAndPostDescription_PRO_Get_All_PostType_List();
            
            foreach ($PageAndPostDescription_PRO_Post_Type as $key => $value) {
                if (in_array($key, $PageAndPostDescription_PRO_Exclude_PostType)) {
                    // Убираем тех, кто в Списке Exclude 
                    unset($PageAndPostDescription_PRO_Post_Type[$key]);
                }

                if (! in_array($key, $Post_Types)) {
                    // Убираем тех, кто не Актуален. Мусор.
                    unset($PageAndPostDescription_PRO_Post_Type[$key]);
                }	                
            }

            if ($Post_Types) {
                foreach ($Post_Types as $key => $value) {
                    $Options_Key = $value;				
                    
                    $Option_IsSet = (isset($PageAndPostDescription_PRO_Post_Type[$Options_Key])) ? true : false;
                    
                    if (!$Option_IsSet) {
                        $PageAndPostDescription_PRO_Post_Type[$Options_Key] = 0;
                    }
                }
            }            
        }

		return $PageAndPostDescription_PRO_Post_Type;
	}	