<?php
/*
 * WPGear. Page and Post Description PRO
 * options.php
 */

	$PageAndPostDescription_PRO_Action = isset($_REQUEST['action']) ? sanitize_text_field ($_REQUEST['action']) : null; 

	if ($PageAndPostDescription_PRO_Action == 'update') {
		// Save Options.
		$PageAndPostDescription_PRO_Setup_AdminOnly 	= (isset($_REQUEST['pnpd_option_adminonly'])) ? 1 : 0;
		$PageAndPostDescription_PRO_Setup_ShowAuthor 	= (isset($_REQUEST['pnpd_option_show_author'])) ? 1 : 0;
		$PageAndPostDescription_PRO_Setup_ShowDate 		= (isset($_REQUEST['pnpd_option_show_date'])) ? 1 : 0;
		
		$PageAndPostDescription_PRO_Options = get_option("page-and-post-description_options", array());

		$PageAndPostDescription_PRO_Options = array(
			'adminonly' => $PageAndPostDescription_PRO_Setup_AdminOnly,
			'show_author' => $PageAndPostDescription_PRO_Setup_ShowAuthor,
			'show_date' => $PageAndPostDescription_PRO_Setup_ShowDate,	
		);	
		
		update_option ('page-and-post-description_options', $PageAndPostDescription_PRO_Options);
		
		$PageAndPostDescription_PRO_Post_Type = PageAndPostDescription_PRO_Get_PostTypes ();
				
		foreach ($PageAndPostDescription_PRO_Post_Type as $PostType => $value) {
			$Option_PostType = 'pnpd_option_posttype_' .$PostType .'_enable';
			
			$PostType_Enable = (isset($_REQUEST[$Option_PostType])) ? 1 : 0;
				
			$PageAndPostDescription_PRO_Post_Type[$PostType] = $PostType_Enable;
		}

		update_option ('page-and-post-description_option_post-type', $PageAndPostDescription_PRO_Post_Type);
	}
	
	$PageAndPostDescription_PRO_Options = get_option("page-and-post-description_options", array(
		'adminonly' => 1,
		'show_author' => 0,
		'show_date' => 0,
		)
	);

	$PageAndPostDescription_PRO_Setup_AdminOnly = (isset($PageAndPostDescription_PRO_Options['adminonly'])) ? intval($PageAndPostDescription_PRO_Options['adminonly']) : 1;	
	
	if ($PageAndPostDescription_PRO_Setup_AdminOnly) {
		if (!current_user_can('edit_dashboard')) {
			?>
			<div class="pageandpostdescription_options_warning" style="margin: 40px;">
				Sorry, you are not allowed to view this page.
			</div>
			<?php
			
			return;
		}		
	}

	$PageAndPostDescription_PRO_Post_Type = PageAndPostDescription_PRO_Get_PostTypes ();

	?>
	<div class="wrap">
		<h2>Page and Post Description PRO.</h2>
		<hr>
		
		<div style="margin-left: 20px;">			
			<form name="form_PageAndPostDescription_PRO_Options" method="post" style="margin-top: 20px;">
				<div style="margin-top: 10px;">
					<label for="pnpd_option_adminonly" title="On/Off">
						Enable this Page for Admin only
					</label>
					<input id="pnpd_option_adminonly" name="pnpd_option_adminonly" type="checkbox" <?php if($PageAndPostDescription_PRO_Setup_AdminOnly) {echo 'checked';} ?>>
				</div>	

				<div style="margin-top: 20px; margin-left: 42px; color: grey;">
					<label for="pnpd_option_show_author" title="On/Off">
						Show Description Author
					</label>
					<input id="pnpd_option_show_author" name="pnpd_option_show_author" type="checkbox" disabled>
				</div>		

				<div style="margin-top: 10px; margin-left: 54px; color: grey;">
					<label for="pnpd_option_show_date" title="On/Off">
						Show Description Date
					</label>
					<input id="pnpd_option_show_date" name="pnpd_option_show_date" type="checkbox" disabled>
				</div>
				
				<div style="margin-top: 20px;">
					Enable Description on Lists:
					<?php
					foreach ($PageAndPostDescription_PRO_Post_Type as $key => $value) {
						?>
						<div style="margin-top: 5px; margin-left: 20px;">
							<input id="pnpd_option_<?php echo $key; ?>_enable" name="pnpd_option_posttype_<?php echo $key; ?>_enable" type="checkbox" <?php if($value) {echo 'checked';} ?>><?php echo $key; ?>
						</div>
						<?php
					}
					?>
				</div>
				
				<div style="margin-top: 10px; margin-bottom: 5px; text-align: right;">
					<input id="pnpd_btn_options_save" type="submit" class="button button-primary" style="margin-right: 5px;" value="Save">
				</div>
				<input id="action" name="action" type="hidden" value="update">			
			</form>
		</div>			
	</div>
