<?php
/*
Plugin Name: Page and Post Description PRO
Plugin URI: wpgear.xyz/page-and-post-description-pro/
Description: Description for each Page and Post and All Custom Type.
Version: 1.4
Author: WPGear
Author URI: http://wpgear.xyz
License: GPLv2
*/

	$PageAndPostDescription_PRO_plugin_url = plugin_dir_url( __FILE__); 	// со слэшем на конце	
	$PageAndPostDescription_PRO_plugin_dir = plugin_dir_path( __FILE__);	// со слэшем на конце
	
	$PageAndPostDescription_PRO_Options = get_option("page-and-post-description_options", array(
		'adminonly' => 1,
		'show_author' => 0,
		'show_date' => 0,
		)
	);
	
	include_once(__DIR__ .'/includes/functions.php');

    $PageAndPostDescription_PRO_Exclude_PostType    = PageAndPostDescription_PRO_Get_Exclude_PostTypes ();	
	$PageAndPostDescription_PRO_Post_Type           = PageAndPostDescription_PRO_Get_PostTypes ();	     
	
	/* Admin Console - Styles.
	---*PRO-------------------------------------------------------------- */	
	function PageAndPostDescription_PRO_admin_style ($hook) {
		global $PageAndPostDescription_PRO_plugin_url;
		
		$screen = get_current_screen();
		$screen_base = $screen->base;			
		
		if (PageAndPostDescription_PRO_is_PostType_Enable ($screen_base)) {
			wp_enqueue_style ('page-and-post-list', $PageAndPostDescription_PRO_plugin_url .'admin-style.css');
			wp_enqueue_script ('page-and-post-list', $PageAndPostDescription_PRO_plugin_url .'includes/post-list.js');
		}		
	}
	add_action ('admin_enqueue_scripts', 'PageAndPostDescription_PRO_admin_style' );

	/* Add Field 'Description' to Page and Post Metabox
	---*PRO-------------------------------------------------------------- */
	function PageAndPostDescription_PRO_Add_MetaField() {		
		global $PageAndPostDescription_PRO_Post_Type;
			
		$Current_Screen = get_current_screen();
		$PostType = $Current_Screen -> post_type;

		$PostType_Enable = isset($PageAndPostDescription_PRO_Post_Type[$PostType]) ? $PageAndPostDescription_PRO_Post_Type[$PostType] : true;
					
		$Screens = array ();
		$MetaBoxe_Title = 'Description (disabled)';
					
		if ($PostType_Enable) {
			$Screens = array ($PostType);
			
			$MetaBoxe_Title = 'Description';
		}

		add_meta_box( 
			'PageAndPostDescription_PRO_MetaField', 
			$MetaBoxe_Title, 
			'PageAndPostDescription_PRO_MetaField_Callback', 
			$Screens, 
			'advanced', 
			'high', 
			null 
		);
	}
	add_action( 'add_meta_boxes', 'PageAndPostDescription_PRO_Add_MetaField' );	

	/* Metabox Description.
	---*PRO-------------------------------------------------------------- */	
	function PageAndPostDescription_PRO_MetaField_Callback ($Post, $Meta) {
		$PageAndPostDescription_PRO_Note = "";
		
		$Post_ID = $Post->ID;
		
		if ($Post_ID) {
			$PageAndPostDescription_PRO_Note = get_post_meta ($Post_ID, 'pnpd_description', true );
		}		
		
		$Metabox_Description = "";
		
		$Metabox_Description .= "<div>";
		$Metabox_Description .= "<textarea name='pnpd_description' rows='2' style='width: 100%;'>$PageAndPostDescription_PRO_Note</textarea>";
		$Metabox_Description .= "</div>";	
		
		echo $Metabox_Description;
	}

	/* Save Metabox Description.
	---*PRO-------------------------------------------------------------- */
	function PageAndPostDescription_PRO_Save_MetaField ($Post_ID) {
		$PageAndPostDescription_PRO_Note = isset($_REQUEST['pnpd_description']) ? sanitize_text_field ($_REQUEST['pnpd_description']) : null;	// Not - sanitize_textarea_field. В Описаниях не должно быть переносов строк. Иначе, будет плохо выглядеть в Списках.
		
		if ($PageAndPostDescription_PRO_Note) {
			update_post_meta( $Post_ID, 'pnpd_description', $PageAndPostDescription_PRO_Note );
		}
	}
	add_action( 'save_post', 'PageAndPostDescription_PRO_Save_MetaField');	
	
	/* Create plugin SubMenu
	---*PRO-------------------------------------------------------------- */
	function PageAndPostDescription_PRO_create_menu() {
		add_options_page(
			'Page and Post Description PRO',
			'Page and Post Description PRO',
			'publish_posts',
			'page-and-post-description-pro/options.php',
			''
		);	
	}
	add_action('admin_menu', 'PageAndPostDescription_PRO_create_menu');	
	
	/* AJAX Processing
	---*PRO-------------------------------------------------------------- */  
    function PageAndPostDescription_PRO_Ajax(){		
		include_once ('includes/ajax_page-and-post-list.php');
    }
	add_action( 'wp_ajax_page_and_post_description', 'PageAndPostDescription_PRO_Ajax' );